:loop
if '%1'=='' goto exit
	set crisisCurrentFile=%1
	if exist %crisisDriveName%\%crisisCurrentFile% goto next
	echo Copying the file "%crisisCurrentFile%"
	xcopy /v %crisisCurrentFile% %crisisDriveName% >nul
	if ERRORLEVEL 1 goto cdDiskError

:next
	shift
	goto loop


:cdDiskError
	 if not exist %crisisCurrentFile% goto cdNoFile
	 if errorlevel 2 goto cdCpyBrk

rem======================================================================
rem
rem  Indicate that the copy process initialization failed.
rem
rem======================================================================
:cdMemErr
	echo.
	echo.
	echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
	echo.
	echo Error - Initialization error when copying "%crisisCurrentFile%",
	echo         the Disk was not created.  Free extra
	echo         conventional memory by removing any unneeded TSRs,
	echo         then try again.
	echo.
	echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
	echo.

	goto exit

rem======================================================================
rem
rem  Indicate that the file to copy was not found.
rem
rem======================================================================
:cdNoFile
	echo.
	echo.
	echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
	echo.
	echo Error - The file "%crisisCurrentFile%" was not found,
	echo         the Disk was not created. Check for the
	echo         file "%crisisCurrentFile%", then try again.
	echo.
	echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
	echo.

	goto exit


rem======================================================================
rem
rem  Indicate that the user interrupted the copy process.
rem
rem======================================================================
:cdCpyBrk
	echo.
	echo.
	echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
	echo.
	echo Error - The user interrupted while copying "%crisisCurrentFile%",
	echo         the Disk was not created.
	echo.
	echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
	echo.

:exit
